mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇰🇷_KR_韩国
    type: vless
    server: 211.49.57.161
    port: 443
    uuid: 23cb9aa7-9756-459f-aa84-3a27bdf6ad64
    network: ws
    servername: s5.868001.xyz
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /proxyipfp=chrome
      headers:
        Host: s5.868001.xyz
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: 79.127.227.215
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国
    type: trojan
    server: 23.149.28.8.sslip.io
    port: 8443
    password: 78c6cf8f30399bad3f63f15a9600a8ef
    sni: 23.149.28.8.sslip.io
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.45
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇷🇴_RO_罗马尼亚
    type: vless
    server: 95.173.199.78
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.42
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
    type: trojan
    server: 103.177.136.42
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇳🇱_NL_荷兰_1
    type: vless
    server: 185.229.191.68
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港->🇺🇸_US_美国
    type: vmess
    server: 103.182.97.12
    port: 30824
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇮🇷_IR_伊朗->🇩🇪_DE_德国
    type: vmess
    server: nlt.reata.ir
    port: 1020
    uuid: 6244c41a-f4c1-4733-a654-c38f7729b13c
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港->🇯🇵_JP_日本
    type: vmess
    server: 103.182.97.12
    port: 30806
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇷🇴_RO_罗马尼亚_1
    type: vless
    server: 95.173.199.84
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_2
    type: vless
    server: 185.229.191.10
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_3
    type: vless
    server: 79.127.227.57
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇷🇴_RO_罗马尼亚_2
    type: vless
    server: 95.173.199.118
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港
    type: vmess
    server: 47.244.120.197
    port: 36703
    uuid: 45b83519-9c4f-4052-a11b-02e017b636d4
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: ws
    ws-opts:
      path: /arki?ed=2048
    udp: true
  - name: 🇸🇪_SE_瑞典
    type: vless
    server: 79.127.249.221
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇹🇷_TR_土耳其
    type: vless
    server: 169.150.215.80
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇹🇷_TR_土耳其_1
    type: vless
    server: 87.249.139.236
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇬🇧_GB_英国
    type: vless
    server: 165.227.236.227
    port: 8880
    uuid: 53b8b074-c180-41d9-80dc-55979e0ddc58
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.42
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇰🇷_KR_韩国
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇷🇴_RO_罗马尼亚
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇳🇱_NL_荷兰_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇭🇰_HK_中国香港->🇯🇵_JP_日本
      - 🇷🇴_RO_罗马尼亚_1
      - 🇳🇱_NL_荷兰_2
      - 🇳🇱_NL_荷兰_3
      - 🇷🇴_RO_罗马尼亚_2
      - 🇭🇰_HK_中国香港
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇹🇷_TR_土耳其_1
      - 🇬🇧_GB_英国
      - 🇨🇦_CA_加拿大_1
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
